05 октября 2015

Установить/обновить ядро Linux Kernel 4.2.3 в Ubuntu и производные

Предупреждение. Ядро Linux является критичным элементом системы. Обновления ядра могут содержать улучшения аппаратной поддержки или устранять уязвимости.  Делать обновление стоит когда одно из аппаратных устройств работает некорректно, а новое ядро может решить данную проблему.  Но в тоже время установка нового ядра без особой необходимости может привести к нежелательным регрессиям, таким как: отсутствие подключения к сети, отсутствие звука или даже невозможность загрузить систему, поэтому устанавливайте новое ядро на свой страх и риск.

Ядро Linux Kernel 4.2.3 является третьим корректировочным выпуском ядра версии 4.2. Вы можете скачать соответствующие deb пакеты ОТСЮДА и установить их в Центре приложений Ubuntu. Или просто следуйте приведенным ниже инструкциям, которые помогут вам установить новое ядро несколькими командами в терминале.

Установить ядро версии 4.2.3 командами ниже, можно ​​в следующих дистрибутивах Linux:

Ubuntu 15.04/14.04/12.04
Linux Mint 17.2/17.1/17/13
elementary OS 0.2/0.3

Установка ядра Linux Kernel 4.2.3

1. Откройте терминал, скопируйте и выполните одну из команд, согласно архитектуры вашей системы/компьютера:

Для 32-bit (одной командой):

cd /tmp; wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.3-unstable/linux-headers-4.2.3-040203-generic_4.2.3-040203.201510030832_i386.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.3-unstable/linux-headers-4.2.3-040203_4.2.3-040203.201510030832_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.3-unstable/linux-image-4.2.3-040203-generic_4.2.3-040203.201510030832_i386.deb; sudo dpkg -i *.deb

Для 64-bit (одной командой):
 
cd /tmp; wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.3-unstable/linux-headers-4.2.3-040203-generic_4.2.3-040203.201510030832_amd64.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.3-unstable/linux-headers-4.2.3-040203_4.2.3-040203.201510030832_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.3-unstable/linux-image-4.2.3-040203-generic_4.2.3-040203.201510030832_amd64.deb; sudo dpkg -i *.deb

 2. Обновите GRUB (GRUB надо обновлять в той системе Linux где он установлен, если у вас их более одной):

sudo update-grub

Примечание 1
.
Если у вас установлен загрузчик BURG, то и его нужно обновить:

sudo update-burg

3. По окончании установки, закройте все приложения и перезагрузите компьютер следующей командой:

sudo reboot

После входа в систему, проверьте версию актуального ядра командой в терминале:

uname -r


Дистрибутив Linux Mint 17.2 XFCE 


Видеодрайвер Nvidia 355.11


Примечание 2
. Как вернуться к ранее установленному ядру, инструкция ЗДЕСЬ.

Если вы решили удалить ядро 4.2.3, выполните эту команду:

sudo apt-get purge linux-image-4.2.3-*

И вновь обновите GRUB командой:

sudo update-grub

Источник: https://www.kernel.org/

Удачи.

23 комментария :

  1. Привет Владимир, может ты подскажешь, почему не запускается unity 8, вроде устанавливается, но не запускается ни на 15.04 , 15.10.

    ОтветитьУдалить
    Ответы
    1. Потому что ещё "сырой" продукт.:) Разработчики Ubuntu обещают стабтлизировать unity 8 к выпуску Ubuntu 16.04.

      Удалить
  2. я извиняюсь что не по теме пишу о проблеме. проблема в обновление. пришло уведомление о новых обновление. нажал обновить. и в итоге в что мне выдает http://i6.5cm.ru/i/rkwN.png как исправить эту проблему?

    ОтветитьУдалить
    Ответы
    1. Обычно такое происходит когда пользователь наустанавливал сторонних программ с подключением, опять же, сторонних репозиториев. Откройте Источники приложений и удалите эти репозитории. Ситуация должна изменится.

      Удалить
  3. Не конфликтуют ли с дровами Nvidia?

    ОтветитьУдалить
  4. Ребят как установить GNOME 3.18 в Ubuntu GNOME 14.04?

    ОтветитьУдалить
    Ответы
    1. А ни как. Библиотеки разные. Ubuntu GNOME 14.04 использует Gnome 3.12.

      Удалить
    2. Я так понимаю, что попробовать новые плюшки GNOME 3.18, можно только в Fedora и OpenSuse?

      Удалить
    3. Ну почему же только в Fedora и OpenSuse. Пользователи Ubuntu GNOME 15.10 смогут обновиться до GNOME 3.18, используя полуофициальный и полностью неподдерживаемый тестовый PPA-репозиторий GNOME 3 скоро после его выхода в октябре.

      Удалить
    4. Спасибо, подождем официального релиза!

      Удалить
  5. Привет Владимир, я не по теме. Установил я на 15.10 Убунту SDK для интереса, ну конечно до программиста - разработчика мне еще далеко, но при запуске этой среды разработки, даже не опытный пользователь поймет, что Каноникаловцы создали мощный инструмент. Мощный и очень дружелюбный, вот это я понимаю, не уступает Гугловскому и Эпловскому, что то на подобие Визуал Студио от майки. Просто рад конкретно за Убунту, что есть своя среда разработки.

    ОтветитьУдалить
  6. не хочу забегать вперёд, но интересно что станет с убунту после выхода версии 16.10? буквы-то алфавита кочаются на нём) 17.04 обзовут по другому принципу, или всё, конец?
    вы уж извините за оффтопик)

    ОтветитьУдалить
    Ответы
    1. Не переживайте. Кончится алфавит на латинице, перейдут на кириллицу.:))) А если серьёзно, то начнут алфавит поновой, с новыми зверьками. Только и всего.

      Удалить
    2. ==начнут алфавит поновой, с новыми зверьками==
      А может, захотят пооригинальничать и введут новую систему наименований. Например, у Android "сладкие" названия релизов, а Убунтовцы будут присваивать "соленые" :)) Уж точно разберутся как-нибудь, переживать не стоит :)

      Удалить
  7. 16.04 и наша любимая Убунту станет другой.

    ОтветитьУдалить
  8. обновился все ок только минус есть браузер стал больше жрать ( у меня 25 если не больше вкладок открыто ) раньше 4 гига сьедал а щас 6 гиг (мне всеравно у меня 16 гиг озу) но факт или новая версия хрома или новое ядришко прожорлевей

    ОтветитьУдалить
  9. Скорей всего Хром, он больше всех жрет из браузеров, я отказался от него, полностью перешел на F.F.

    ОтветитьУдалить
  10. Обновился и пропал вообще wifi что делать подскажите

    ОтветитьУдалить
    Ответы
    1. Перекелючиться на ядро, которое было с wifi.

      Удалить
  11. Скажите, а почему не поступает предложений обновлять Ядро непосредственно с Canonical "ppa:canonical-kernel-team/ppa"... Там этоже ядро идет под версией 4.2.0-16.

    ОтветитьУдалить